CREATE TABLE inv_transfer_orders_int (
    INTERFACE_HEADER_ID               NUMBER(18, 0) ,
    INTERFACE_LINE_ID                 NUMBER(18, 0) ,
    TRANSFER_ORDER_HEADER_ID          NUMBER(18, 0) ,
    TRANSFER_ORDER_LINE_ID            NUMBER(18, 0) ,
    TRANSFER_ORDER_HEADER_NUMBER      VARCHAR2(200) ,
    TRANSFER_ORDER_LINE_NUMBER        VARCHAR2(200) ,
    PICK_COMPONENTS_FLAG              VARCHAR2(4)   ,
    SHIP_MODEL_COMPLETE_FLAG          VARCHAR2(4)   ,
    SHIPPABLE_FLAG                    VARCHAR2(4)   ,
    DESCRIPTION                       VARCHAR2(960) ,
    ORDERED_DATE                      DATE          ,
    FULFILL_ORCHESTRATION_REQUIRED    VARCHAR2(4)   ,
    INTERFACE_STATUS_LOOKUP           VARCHAR2(120) ,
    SOURCE_INTERFACE_TXN_ID           NUMBER(18, 0) ,
    SOURCE_TYPE_LOOKUP                VARCHAR2(120) ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SOURCE_SUBINVENTORY_CODE          VARCHAR2(40)  ,
    SOURCE_LOCATOR                    VARCHAR2(4000),
    SOURCE_LOCATOR_ID                 NUMBER(18, 0) ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_SUBINVENTORY_CODE     VARCHAR2(40)  ,
    DESTINATION_LOCATOR               VARCHAR2(4000),
    DESTINATION_LOCATOR_ID            NUMBER(18, 0) ,
    DESTINATION_TYPE_LOOKUP           VARCHAR2(120) ,
    DESTINATION_LOCATION_ID           NUMBER(18, 0) ,
    MATERIAL_RETURN_REQUIRED          VARCHAR2(4)   ,
    STATUS_LOOKUP                     VARCHAR2(120) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    NEED_BY_DATE                      DATE          ,
    SCHEDULED_ARRIVAL_DATE            DATE          ,
    SCHEDULED_SHIP_DATE               DATE          ,
    QTY_UOM_CODE                      VARCHAR2(12)  ,
    REQUESTED_QTY                     NUMBER        ,
    SECONDARY_QTY_UOM_CODE            VARCHAR2(12)  ,
    SECONDARY_REQUESTED_QTY           NUMBER        ,
    UNIT_PRICE                        NUMBER        ,
    UNIT_TAX                          NUMBER        ,
    FREIGHT_CARRIER_ID                NUMBER(18, 0) ,
    MODE_OF_TRANSPORT_LOOKUP          VARCHAR2(120) ,
    SERVICE_LEVEL_LOOKUP              VARCHAR2(120) ,
    SHIPMENT_PRIORITY_LOOKUP          VARCHAR2(120) ,
    REQ_BU_ID                         NUMBER(18, 0) ,
    REQUISITION_ID                    NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    PLANNER_ID                        NUMBER(18, 0) ,
    CHANGE_STATUS_LOOKUP              VARCHAR2(120) ,
    CHANGE_REQUESTED_DATE             DATE          ,
    CHANGE_APPROVAL_DATE              DATE          ,
    CHANGE_PARTY_ID                   NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    COMMENTS                          VARCHAR2(960) ,
    INTERFACE_ERR_MSG_CODE            VARCHAR2(120) ,
    INTERFACE_ERR_MSG_TEXT            VARCHAR2(4000),
    SOURCE_HEADER_ID                  NUMBER(18, 0) ,
    SOURCE_LINE_ID                    NUMBER(18, 0) ,
    ORIGINAL_HEADER_ID                NUMBER(18, 0) ,
    ORIGINAL_LINE_ID                  NUMBER(18, 0) ,
    BUY_DEFAULT_TAX_COUNTRY           VARCHAR2(8)   ,
    BUY_FIRST_PTY_REG_ID              NUMBER(18, 0) ,
    BUY_THIRD_PTY_REG_ID              NUMBER(18, 0) ,
    BUY_FINAL_DISCHARGE_LOC_ID        NUMBER(18, 0) ,
    BUY_DOCUMENT_SUB_TYPE             VARCHAR2(960) ,
    BUY_TRX_BUSINESS_CATEGORY         VARCHAR2(960) ,
    BUY_USR_DEFINED_FISC_CLASS        VARCHAR2(120) ,
    BUY_PRODUCT_FISC_CLASSIF          VARCHAR2(960) ,
    BUY_PRODUCT_CATEGORY              VARCHAR2(960) ,
    BUY_INTEND_USE_CLASSIF_ID         NUMBER(18, 0) ,
    BUY_PRODUCT_TYPE                  VARCHAR2(960) ,
    BUY_ASSESSABLE_VALUE              NUMBER        ,
    BUY_TAX_CLASSIF_CODE              VARCHAR2(200) ,
    SELL_DEFAULT_TAX_COUNTRY          VARCHAR2(8)   ,
    SELL_FIRST_PTY_REG_ID             NUMBER(18, 0) ,
    SELL_THIRD_PTY_REG_ID             NUMBER(18, 0) ,
    SELL_FINAL_DISCHARGE_LOC_ID       NUMBER(18, 0) ,
    SELL_DOCUMENT_SUB_TYPE            VARCHAR2(960) ,
    SELL_TRX_BUSINESS_CATEGORY        VARCHAR2(960) ,
    SELL_USR_DEFINED_FISC_CLASS       VARCHAR2(120) ,
    SELL_PRODUCT_FISC_CLASSIF         VARCHAR2(960) ,
    SELL_PRODUCT_CATEGORY             VARCHAR2(960) ,
    SELL_INTEND_USE_CLASSIF_ID        NUMBER(18, 0) ,
    SELL_PRODUCT_TYPE                 VARCHAR2(960) ,
    SELL_ASSESSABLE_VALUE             NUMBER        ,
    SELL_TAX_CLASSIF_CODE             VARCHAR2(200) ,
    INCL_NONRECOVERABLE_TAX           NUMBER        ,
    INCL_RECOVERABLE_TAX              NUMBER        ,
    NONINCL_NONRECOVERABLE_TAX        NUMBER        ,
    NONINCL_RECOVERABLE_TAX           NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    AGREEMENT_PTR_ID                  NUMBER(18, 0) ,
    FIRM_FLAG                         VARCHAR2(4)   ,
    INTERFACE_SOURCE_CODE             VARCHAR2(100) ,
    BACK_TO_BACK_FLAG                 VARCHAR2(4)       NOT NULL,
    ORIGINAL_REQUEST_LINE_ID          NUMBER(18, 0) ,
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    ACTION                            VARCHAR2(40)  ,
    BUDGET_CONTROL_ENABLED_FLAG       VARCHAR2(4)   ,
    ACTION_SOURCE_TYPE                VARCHAR2(120) ,
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    NOTE_TO_SUPPLIER                  VARCHAR2(4000),
    REPRICE_FLAG                      VARCHAR2(4)   ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    SUPPLY_ORDER_REFERENCE_NUMBER     VARCHAR2(800) ,
    SUPPLY_ORDER_REF_LINE_NUMBER      VARCHAR2(80)  ,
    ALLOW_ITEM_SUBSTITUTION_FLAG      VARCHAR2(4)   ,
    RETURN_TYPE_LOOKUP                VARCHAR2(120) ,
    KANBAN_CARD_ID                    NUMBER(18, 0) ,
    INTERFACE_LINE_ID                 NUMBER(18, 0) ,
    TRANSFER_ORDER_HEADER_ID          NUMBER(18, 0) ,
    TRANSFER_ORDER_LINE_ID            NUMBER(18, 0) ,
    TRANSFER_ORDER_HEADER_NUMBER      VARCHAR2(200) ,
    TRANSFER_ORDER_LINE_NUMBER        VARCHAR2(200) ,
    DESCRIPTION                       VARCHAR2(960) ,
    ORDERED_DATE                      DATE          ,
    FULFILL_ORCHESTRATION_REQUIRED    VARCHAR2(4)   ,
    INTERFACE_STATUS_LOOKUP           VARCHAR2(120) ,
    SOURCE_INTERFACE_TXN_ID           NUMBER(18, 0) ,
    SOURCE_TYPE_LOOKUP                VARCHAR2(120) ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SOURCE_SUBINVENTORY_CODE          VARCHAR2(40)  ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_SUBINVENTORY_CODE     VARCHAR2(40)  ,
    DESTINATION_TYPE_LOOKUP           VARCHAR2(120) ,
    DESTINATION_LOCATION_ID           NUMBER(18, 0) ,
    MATERIAL_RETURN_REQUIRED          VARCHAR2(4)   ,
    STATUS_LOOKUP                     VARCHAR2(120) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    NEED_BY_DATE                      DATE          ,
    SCHEDULED_ARRIVAL_DATE            DATE          ,
    SCHEDULED_SHIP_DATE               DATE          ,
    QTY_UOM_CODE                      VARCHAR2(12)  ,
    REQUESTED_QTY                     NUMBER        ,
    SECONDARY_QTY_UOM_CODE            VARCHAR2(12)  ,
    SECONDARY_REQUESTED_QTY           NUMBER        ,
    UNIT_PRICE                        NUMBER        ,
    UNIT_TAX                          NUMBER        ,
    FREIGHT_CARRIER_ID                NUMBER(18, 0) ,
    MODE_OF_TRANSPORT_LOOKUP          VARCHAR2(120) ,
    SERVICE_LEVEL_LOOKUP              VARCHAR2(120) ,
    SHIPMENT_PRIORITY_LOOKUP          VARCHAR2(120) ,
    REQ_BU_ID                         NUMBER(18, 0) ,
    REQUISITION_ID                    NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    PLANNER_ID                        NUMBER(18, 0) ,
    CHANGE_STATUS_LOOKUP              VARCHAR2(120) ,
    CHANGE_REQUESTED_DATE             DATE          ,
    CHANGE_APPROVAL_DATE              DATE          ,
    CHANGE_PARTY_ID                   NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    COMMENTS                          VARCHAR2(960) ,
    INTERFACE_ERR_MSG_CODE            VARCHAR2(120) ,
    INTERFACE_ERR_MSG_TEXT            VARCHAR2(4000),
    SOURCE_HEADER_ID                  NUMBER(18, 0) ,
    SOURCE_LINE_ID                    NUMBER(18, 0) ,
    ORIGINAL_HEADER_ID                NUMBER(18, 0) ,
    ORIGINAL_LINE_ID                  NUMBER(18, 0) ,
    BUY_DEFAULT_TAX_COUNTRY           VARCHAR2(8)   ,
    BUY_FIRST_PTY_REG_ID              NUMBER(18, 0) ,
    BUY_THIRD_PTY_REG_ID              NUMBER(18, 0) ,
    BUY_FINAL_DISCHARGE_LOC_ID        NUMBER(18, 0) ,
    BUY_DOCUMENT_SUB_TYPE             VARCHAR2(960) ,
    BUY_TRX_BUSINESS_CATEGORY         VARCHAR2(960) ,
    BUY_USR_DEFINED_FISC_CLASS        VARCHAR2(120) ,
    BUY_PRODUCT_FISC_CLASSIF          VARCHAR2(960) ,
    BUY_PRODUCT_CATEGORY              VARCHAR2(960) ,
    BUY_INTEND_USE_CLASSIF_ID         NUMBER(18, 0) ,
    BUY_PRODUCT_TYPE                  VARCHAR2(960) ,
    BUY_ASSESSABLE_VALUE              NUMBER        ,
    BUY_TAX_CLASSIF_CODE              VARCHAR2(200) ,
    SELL_DEFAULT_TAX_COUNTRY          VARCHAR2(8)   ,
    SELL_FIRST_PTY_REG_ID             NUMBER(18, 0) ,
    SELL_THIRD_PTY_REG_ID             NUMBER(18, 0) ,
    SELL_FINAL_DISCHARGE_LOC_ID       NUMBER(18, 0) ,
    SELL_DOCUMENT_SUB_TYPE            VARCHAR2(960) ,
    SELL_TRX_BUSINESS_CATEGORY        VARCHAR2(960) ,
    SELL_USR_DEFINED_FISC_CLASS       VARCHAR2(120) ,
    SELL_PRODUCT_FISC_CLASSIF         VARCHAR2(960) ,
    SELL_PRODUCT_CATEGORY             VARCHAR2(960) ,
    SELL_INTEND_USE_CLASSIF_ID        NUMBER(18, 0) ,
    SELL_PRODUCT_TYPE                 VARCHAR2(960) ,
    SELL_ASSESSABLE_VALUE             NUMBER        ,
    SELL_TAX_CLASSIF_CODE             VARCHAR2(200) ,
    INCL_NONRECOVERABLE_TAX           NUMBER        ,
    INCL_RECOVERABLE_TAX              NUMBER        ,
    NONINCL_NONRECOVERABLE_TAX        NUMBER        ,
    NONINCL_RECOVERABLE_TAX           NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    AGREEMENT_PTR_ID                  NUMBER(18, 0) ,
    FIRM_FLAG                         VARCHAR2(4)   ,
    INTERFACE_SOURCE_CODE             VARCHAR2(100) ,
    INTERFACE_HEADER_ID               NUMBER(18, 0) ,
    BACK_TO_BACK_FLAG                 VARCHAR2(4)       NOT NULL,
    ORIGINAL_REQUEST_LINE_ID          NUMBER(18, 0) ,
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    ACTION                            VARCHAR2(40)  ,
    BUDGET_CONTROL_ENABLED_FLAG       VARCHAR2(4)   ,
    ACTION_SOURCE_TYPE                VARCHAR2(120) ,
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    NOTE_TO_SUPPLIER                  VARCHAR2(4000),
    REPRICE_FLAG                      VARCHAR2(4)   ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    SUPPLY_ORDER_REFERENCE_NUMBER     VARCHAR2(800) ,
    SUPPLY_ORDER_REF_LINE_NUMBER      VARCHAR2(80)  ,
    ALLOW_ITEM_SUBSTITUTION_FLAG      VARCHAR2(4)   ,
    PICK_COMPONENTS_FLAG              VARCHAR2(4)   ,
    SHIP_MODEL_COMPLETE_FLAG          VARCHAR2(4)   ,
    SHIPPABLE_FLAG                    VARCHAR2(4)   ,
    RETURN_TYPE_LOOKUP                VARCHAR2(120) ,
    SOURCE_LOCATOR                    VARCHAR2(4000),
    SOURCE_LOCATOR_ID                 NUMBER(18, 0) ,
    DESTINATION_LOCATOR               VARCHAR2(4000),
    DESTINATION_LOCATOR_ID            NUMBER(18, 0) ,
    KANBAN_CARD_ID                    NUMBER(18, 0) ,
    CONSTRAINT pk_inv_transfer_orders_int PRIMARY KEY (INTERFACE_LINE_ID, INTERFACE_LINE_ID)
);
